Bug 60003 - Multiple Prefix:'es ( more than one ) don't work
Multiple Prefix:'es ( more than one ) don't work
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-18 15:45 EST by Sergey Ostrovsky
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-07 16:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergey Ostrovsky 2002-02-18 15:45:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.73 [en] (X11; I; SunOS 5.7 sun4u)

Description of problem:
If a .spec file has more than one Prefix: tags to leverage relocation,
only the last --relocate in the command line processed correctly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
I wrote a custom .spec file for binutils and have built source and binary
packages.
This bug report is gonna be pretty big already, so I did not include
binutils.spec.
If it's needed, let me know.

I have in that binutils.spec

Prefix: %{_defaultdocdir}
Prefix: %{_prefix}

and I try to reference relocated files in the %post section:

%{__install_info} --info-dir=${RPM_INSTALL_PREFIX1}%{_info_branch}
${RPM_INSTALL_PREFIX1}%{_info_branch}/as.info.gz

Where
%__install_info    /usr/bin/install-info
%_info_branch    /share/info. 

rpm -ql -p
chechaco/RPMS/i586/binutils-static++PATH++jumpstart-2.11.93.0.2-2.i586.rpm

/jumpstart/bin/addr2line
/jumpstart/bin/ar
/jumpstart/bin/as
/jumpstart/bin/gasp
/jumpstart/bin/gprof
/jumpstart/bin/ld
/jumpstart/bin/nm
/jumpstart/bin/objcopy
/jumpstart/bin/objdump
/jumpstart/bin/ranlib
/jumpstart/bin/readelf
/jumpstart/bin/size
/jumpstart/bin/strings
/jumpstart/bin/strip
/jumpstart/include/ansidecl.h
/jumpstart/include/bfd.h
/jumpstart/include/bfdlink.h
/jumpstart/include/libiberty.h
/jumpstart/include/symcat.h
/jumpstart/lib/ldscripts
/jumpstart/lib/ldscripts/elf_i386.x
/jumpstart/lib/ldscripts/elf_i386.xbn
/jumpstart/lib/ldscripts/elf_i386.xc
/jumpstart/lib/ldscripts/elf_i386.xn
/jumpstart/lib/ldscripts/elf_i386.xr
/jumpstart/lib/ldscripts/elf_i386.xs
/jumpstart/lib/ldscripts/elf_i386.xsc
/jumpstart/lib/ldscripts/elf_i386.xu
/jumpstart/lib/ldscripts/elf_i386_glibc21.x
/jumpstart/lib/ldscripts/elf_i386_glibc21.xbn
/jumpstart/lib/ldscripts/elf_i386_glibc21.xc
/jumpstart/lib/ldscripts/elf_i386_glibc21.xn
/jumpstart/lib/ldscripts/elf_i386_glibc21.xr
/jumpstart/lib/ldscripts/elf_i386_glibc21.xs
/jumpstart/lib/ldscripts/elf_i386_glibc21.xsc
/jumpstart/lib/ldscripts/elf_i386_glibc21.xu
/jumpstart/lib/ldscripts/i386linux.x
/jumpstart/lib/ldscripts/i386linux.xbn
/jumpstart/lib/ldscripts/i386linux.xn
/jumpstart/lib/ldscripts/i386linux.xr
/jumpstart/lib/ldscripts/i386linux.xu
/jumpstart/lib/libbfd.a
/jumpstart/lib/libbfd.la
/jumpstart/lib/libiberty.a
/jumpstart/lib/libopcodes.a
/jumpstart/lib/libopcodes.la
/jumpstart/share/info/as.info-1.gz
/jumpstart/share/info/as.info-10.gz
/jumpstart/share/info/as.info-2.gz
/jumpstart/share/info/as.info-3.gz
/jumpstart/share/info/as.info-4.gz
/jumpstart/share/info/as.info-5.gz
/jumpstart/share/info/as.info-6.gz
/jumpstart/share/info/as.info-7.gz
/jumpstart/share/info/as.info-8.gz
/jumpstart/share/info/as.info-9.gz
/jumpstart/share/info/as.info.gz
/jumpstart/share/info/bfd.info-1.gz
/jumpstart/share/info/bfd.info-2.gz
/jumpstart/share/info/bfd.info-3.gz
/jumpstart/share/info/bfd.info-4.gz
/jumpstart/share/info/bfd.info-5.gz
/jumpstart/share/info/bfd.info-6.gz
/jumpstart/share/info/bfd.info-7.gz
/jumpstart/share/info/bfd.info-8.gz
/jumpstart/share/info/bfd.info-9.gz
/jumpstart/share/info/bfd.info.gz
/jumpstart/share/info/binutils.info-1.gz
/jumpstart/share/info/binutils.info-2.gz
/jumpstart/share/info/binutils.info-3.gz
/jumpstart/share/info/binutils.info.gz
/jumpstart/share/info/configure.info-1.gz
/jumpstart/share/info/configure.info-2.gz
/jumpstart/share/info/configure.info-3.gz
/jumpstart/share/info/configure.info.gz
/jumpstart/share/info/gasp.info.gz
/jumpstart/share/info/gprof.info-1.gz
/jumpstart/share/info/gprof.info-2.gz
/jumpstart/share/info/gprof.info-3.gz
/jumpstart/share/info/gprof.info.gz
/jumpstart/share/info/ld.info-1.gz
/jumpstart/share/info/ld.info-2.gz
/jumpstart/share/info/ld.info-3.gz
/jumpstart/share/info/ld.info-4.gz
/jumpstart/share/info/ld.info-5.gz
/jumpstart/share/info/ld.info-6.gz
/jumpstart/share/info/ld.info.gz
/jumpstart/share/info/standards.info.gz
/jumpstart/share/man/man1/addr2line.1
/jumpstart/share/man/man1/ar.1
/jumpstart/share/man/man1/as.1
/jumpstart/share/man/man1/c++filt.1
/jumpstart/share/man/man1/gprof.1
/jumpstart/share/man/man1/ld.1
/jumpstart/share/man/man1/nm.1
/jumpstart/share/man/man1/objcopy.1
/jumpstart/share/man/man1/objdump.1
/jumpstart/share/man/man1/ranlib.1
/jumpstart/share/man/man1/readelf.1
/jumpstart/share/man/man1/size.1
/jumpstart/share/man/man1/strings.1
/jumpstart/share/man/man1/strip.1
/usr/share/doc/binutils-static++PATH++jumpstart-2.11.93.0.2
/usr/share/doc/binutils-static++PATH++jumpstart-2.11.93.0.2/README

rpm -q --queryformat "[%{PREFIXES}\n]" -p
chechaco/RPMS/i586/binutils-static++PATH++jumpstart-2.11.93.0.2-2.i586.rpm

/usr/share/doc
/jumpstart

So far, so good. Now:

rpm --initdb --dbpath /mnt/Chechaco/var/lib/rpm

rpmi -ivv --nodeps --dbpath /mnt/Chechaco/var/lib/rpm --relocate
/jumpstart=/mnt/Chechaco/jumpstart --relocate
/usr/share/doc=/mnt/Chechaco/usr/share/doc
chechaco/RPMS/i586/binutils-static++PATH++jumpstart-2.11.93.0.2-2.i586.rpm

D: ==============
chechaco/RPMS/i586/binutils-static++PATH++jumpstart-2.11.93.0.2-2.i586.rpm
D: Expected size:      5755814 = lead(96)+sigs(160)+pad(0)+data(5755558)
D:   Actual size:      5755814
D: opening  db environment /mnt/Chechaco/var/lib/rpm/Packages create:mpool
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Packages create mode=0x42
D: locked   db index       /mnt/Chechaco/var/lib/rpm/Packages
D: 	added binary package [0]
D: found 0 source and 1 binary packages
D: ========== recording tsort relations
D: ========== tsorting packages (order, #predecessors, #succesors, tree, depth)
D:     0    0    0    0    0  binutils-static++PATH++jumpstart-2.11.93.0.2-2
D: installing binary packages
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Name create mode=0x42
D: ========== relocations
D:     0 relocate /usr/share/doc -> doc
D:     1 relocate /usr/share/doc -> /mnt/Chechaco/usr/share/doc
D: relocating directory
/usr/share/doc/binutils-static++PATH++jumpstart-2.11.93.0.2/ to
/mnt/Chechaco/usr/share/doc/binutils-static++PATH++jumpstart-2.11.93.0.2/
D: relocating directory /usr/share/doc/ to /mnt/Chechaco/usr/share/doc/
Preparing packages for installation...
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Basenames create mode=0x42
D: Expected size:      5755814 = lead(96)+sigs(160)+pad(0)+data(5755558)
D:   Actual size:      5755814
D:   install: binutils-static++PATH++jumpstart-2.11.93.0.2-2 has 104 files, test
= 0
D:   install: running %pre script(s) (if any)
binutils-static++PATH++jumpstart-2.11.93.0.2-2
D: ========= Directories not explictly included in package:
D:         0 /jumpstart/bin/
D:         1 /jumpstart/include/
D:         2 /jumpstart/lib/
D:         4 /jumpstart/share/info/
D:         5 /jumpstart/share/man/man1/
D:         6 /mnt/Chechaco/usr/share/doc/
D: =========
D: /jumpstart directory created with perms 0755.
D: /jumpstart/bin directory created with perms 0755.
D: /jumpstart/include directory created with perms 0755.
D: /jumpstart/lib directory created with perms 0755.
D: /jumpstart/share directory created with perms 0755.
D: /jumpstart/share/info directory created with perms 0755.
D: /jumpstart/share/man directory created with perms 0755.
D: /jumpstart/share/man/man1 directory created with perms 0755.
D: fini      100755  1 (   0,   0)    754312 /jumpstart/bin/addr2line;3c6f031a 
D: fini      100755  1 (   0,   0)    720456 /jumpstart/bin/ar;3c6f031a 
D: fini      100755  1 (   0,   0)    909832 /jumpstart/bin/as;3c6f031a 
D: fini      100755  1 (   0,   0)    377288 /jumpstart/bin/gasp;3c6f031a 
D: fini      100755  1 (   0,   0)    816072 /jumpstart/bin/gprof;3c6f031a 
D: fini      100755  1 (   0,   0)    990152 /jumpstart/bin/ld;3c6f031a 
D: fini      100755  1 (   0,   0)    762536 /jumpstart/bin/nm;3c6f031a 
D: fini      100755  1 (   0,   0)    886408 /jumpstart/bin/objcopy;3c6f031a 
D: fini      100755  1 (   0,   0)    930504 /jumpstart/bin/objdump;3c6f031a 
D: fini      100755  1 (   0,   0)    720456 /jumpstart/bin/ranlib;3c6f031a 
D: fini      100755  1 (   0,   0)    490632 /jumpstart/bin/readelf;3c6f031a 
D: fini      100755  1 (   0,   0)    706760 /jumpstart/bin/size;3c6f031a 
D: fini      100755  1 (   0,   0)    706504 /jumpstart/bin/strings;3c6f031a 
D: fini      100755  1 (   0,   0)    886408 /jumpstart/bin/strip;3c6f031a 
D: fini      100644  1 (   0,   0)      9507
/jumpstart/include/ansidecl.h;3c6f031a 
D: fini      100644  1 (   0,   0)    132515 /jumpstart/include/bfd.h;3c6f031a 
D: fini      100644  1 (   0,   0)     23855
/jumpstart/include/bfdlink.h;3c6f031a 
D: fini      100644  1 (   0,   0)     11075
/jumpstart/include/libiberty.h;3c6f031a 
D: fini      100644  1 (   0,   0)      1897
/jumpstart/include/symcat.h;3c6f031a 
D: fini      040755  2 (   0,   0)         0 /jumpstart/lib/ldscripts 
D: fini      100644  1 (   0,   0)      5517
/jumpstart/lib/ldscripts/elf_i386.x;3c6f031a 
D: fini      100644  1 (   0,   0)      5502
/jumpstart/lib/ldscripts/elf_i386.xbn;3c6f031a 
D: fini      100644  1 (   0,   0)      5268
/jumpstart/lib/ldscripts/elf_i386.xc;3c6f031a 
D: fini      100644  1 (   0,   0)      5517
/jumpstart/lib/ldscripts/elf_i386.xn;3c6f031a 
D: fini      100644  1 (   0,   0)      3917
/jumpstart/lib/ldscripts/elf_i386.xr;3c6f031a 
D: fini      100644  1 (   0,   0)      5471
/jumpstart/lib/ldscripts/elf_i386.xs;3c6f031a 
D: fini      100644  1 (   0,   0)      5239
/jumpstart/lib/ldscripts/elf_i386.xsc;3c6f031a 
D: fini      100644  1 (   0,   0)      3963
/jumpstart/lib/ldscripts/elf_i386.xu;3c6f031a 
D: fini      100644  1 (   0,   0)      6679
/jumpstart/lib/ldscripts/elf_i386_glibc21.x;3c6f031a 
D: fini      100644  1 (   0,   0)      6664
/jumpstart/lib/ldscripts/elf_i386_glibc21.xbn;3c6f031a 
D: fini      100644  1 (   0,   0)      6286
/jumpstart/lib/ldscripts/elf_i386_glibc21.xc;3c6f031a 
D: fini      100644  1 (   0,   0)      6679
/jumpstart/lib/ldscripts/elf_i386_glibc21.xn;3c6f031a 
D: fini      100644  1 (   0,   0)      4600
/jumpstart/lib/ldscripts/elf_i386_glibc21.xr;3c6f031a 
D: fini      100644  1 (   0,   0)      6633
/jumpstart/lib/ldscripts/elf_i386_glibc21.xs;3c6f031a 
D: fini      100644  1 (   0,   0)      6257
/jumpstart/lib/ldscripts/elf_i386_glibc21.xsc;3c6f031a 
D: fini      100644  1 (   0,   0)      4646
/jumpstart/lib/ldscripts/elf_i386_glibc21.xu;3c6f031a 
D: fini      100644  1 (   0,   0)       902
/jumpstart/lib/ldscripts/i386linux.x;3c6f031a 
D: fini      100644  1 (   0,   0)       908
/jumpstart/lib/ldscripts/i386linux.xbn;3c6f031a 
D: fini      100644  1 (   0,   0)       902
/jumpstart/lib/ldscripts/i386linux.xn;3c6f031a 
D: fini      100644  1 (   0,   0)       648
/jumpstart/lib/ldscripts/i386linux.xr;3c6f031a 
D: fini      100644  1 (   0,   0)       688
/jumpstart/lib/ldscripts/i386linux.xu;3c6f031a 
D: fini      100644  1 (   0,   0)    513678 /jumpstart/lib/libbfd.a;3c6f031a 
D: fini      100755  1 (   0,   0)       680 /jumpstart/lib/libbfd.la;3c6f031a 
D: fini      100644  1 (   0,   0)    173702 /jumpstart/lib/libiberty.a;3c6f031a 
D: fini      100644  1 (   0,   0)     83004
/jumpstart/lib/libopcodes.a;3c6f031a 
D: fini      100755  1 (   0,   0)       692
/jumpstart/lib/libopcodes.la;3c6f031a 
D: fini      100644  1 (   0,   0)     16304
/jumpstart/share/info/as.info-1.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     12181
/jumpstart/share/info/as.info-10.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     15999
/jumpstart/share/info/as.info-2.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     14254
/jumpstart/share/info/as.info-3.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     10757
/jumpstart/share/info/as.info-4.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     14664
/jumpstart/share/info/as.info-5.gz;3c6f031a 
D: fini 100644  1 (   0,   0)     14866
/jumpstart/share/info/as.info-6.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     15492
/jumpstart/share/info/as.info-7.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     12783
/jumpstart/share/info/as.info-8.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     11284
/jumpstart/share/info/as.info-9.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      3632
/jumpstart/share/info/as.info.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     12355
/jumpstart/share/info/bfd.info-1.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     13891
/jumpstart/share/info/bfd.info-2.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      5464
/jumpstart/share/info/bfd.info-3.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      8958
/jumpstart/share/info/bfd.info-4.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     12610
/jumpstart/share/info/bfd.info-5.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     10104
/jumpstart/share/info/bfd.info-6.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     12061
/jumpstart/share/info/bfd.info-7.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      6722
/jumpstart/share/info/bfd.info-8.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      5104
/jumpstart/share/info/bfd.info-9.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      1306
/jumpstart/share/info/bfd.info.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     13273
/jumpstart/share/info/binutils.info-1.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     14942
/jumpstart/share/info/binutils.info-2.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     12558
/jumpstart/share/info/binutils.info-3.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      1149
/jumpstart/share/info/binutils.info.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     14537
/jumpstart/share/info/configure.info-1.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     14057
/jumpstart/share/info/configure.info-2.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      4186
/jumpstart/share/info/configure.info-3.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      1191
/jumpstart/share/info/configure.info.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     18364
/jumpstart/share/info/gasp.info.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     13717
/jumpstart/share/info/gprof.info-1.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     12050
/jumpstart/share/info/gprof.info-2.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      6736
/jumpstart/share/info/gprof.info-3.gz;3c6f031a 
D: fini      100644  1 (   0,   0)       840
/jumpstart/share/info/gprof.info.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      1197
/jumpstart/share/info/ld.info-1.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     18822
/jumpstart/share/info/ld.info-2.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     14367
/jumpstart/share/info/ld.info-3.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     15664
/jumpstart/share/info/ld.info-4.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     12654
/jumpstart/share/info/ld.info-5.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      5015
/jumpstart/share/info/ld.info-6.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      1078
/jumpstart/share/info/ld.info.gz;3c6f031a 
D: fini      100644  1 (   0,   0)     41340
/jumpstart/share/info/standards.info.gz;3c6f031a 
D: fini      100644  1 (   0,   0)      7641
/jumpstart/share/man/man1/addr2line.1;3c6f031a 
D: fini      100644  1 (   0,   0)     14958
/jumpstart/share/man/man1/ar.1;3c6f031a 
D: fini      100644  1 (   0,   0)     29123
/jumpstart/share/man/man1/as.1;3c6f031a 
D: fini      100644  1 (   0,   0)      8130
/jumpstart/share/man/man1/c++filt.1;3c6f031a 
D: fini      100644  1 (   0,   0)     29038
/jumpstart/share/man/man1/gprof.1;3c6f031a 
D: fini      100644  1 (   0,   0)     76532
/jumpstart/share/man/man1/ld.1;3c6f031a 
D: fini      100644  1 (   0,   0)     13877
/jumpstart/share/man/man1/nm.1;3c6f031a 
D: fini      100644  1 (   0,   0)     26362
/jumpstart/share/man/man1/objcopy.1;3c6f031a 
D: fini      100644  1 (   0,   0)     18517
/jumpstart/share/man/man1/objdump.1;3c6f031a 
D: fini      100644  1 (   0,   0)      5457
/jumpstart/share/man/man1/ranlib.1;3c6f031a 
D: fini      100644  1 (   0,   0)      9929
/jumpstart/share/man/man1/readelf.1;3c6f031a 
D: fini      100644  1 (   0,   0)      8084
/jumpstart/share/man/man1/size.1;3c6f031a 
D: fini      100644  1 (   0,   0)      7678
/jumpstart/share/man/man1/strings.1;3c6f031a 
D: fini      100644  1 (   0,   0)      8878
/jumpstart/share/man/man1/strip.1;3c6f031a 
D: fini      040755  2 (   0,   0)         0
/mnt/Chechaco/usr/share/doc/binutils-static++PATH++jumpstart-2.11.93.0.2 
D: fini      100644  1 (   0,   0)      1719
/mnt/Chechaco/usr/share/doc/binutils-static++PATH++jumpstart-2.11.93.0.2/README;3c6f031a 
GZDIO:    1520 reads, 12451800 total bytes in 8.041 secs
D:   +++          1 binutils-static++PATH++jumpstart-2.11.93.0.2-2
D: adding "binutils-static++PATH++jumpstart" to Name index.
D: adding 104 entries to Basenames index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Group create mode=0x42
D: adding "Development/Tools" to Group index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Requirename create
mode=0x42
D: adding 5 entries to Requirename index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Providename create
mode=0x42
D: adding "binutils-static++PATH++jumpstart" to Providename index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Dirnames create mode=0x42
D: adding 8 entries to Dirnames index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Requireversion create
mode=0x42
D: adding 5 entries to Requireversion index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Provideversion create
mode=0x42
D: adding "2.11.93.0.2-2" to Provideversion index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Installtid create mode=0x42
D: adding 1 entries to Installtid index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Sigmd5 create mode=0x42
D: adding 1 entries to Sigmd5 index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Sha1header create mode=0x42
D: adding "89a748d9cf8da43bc4e1f47bcc72a754cbf57e95" to Sha1header index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Filemd5s create mode=0x42
D: adding 104 entries to Filemd5s index.
D:   install: running %post script(s) (if any)
+ /usr/bin/install-info --info-dir=/jumpstart/share/info
/jumpstart/share/info/as.info.gz
+ /usr/bin/install-info --info-dir=/jumpstart/share/info
/jumpstart/share/info/bfd.info.gz
+ /usr/bin/install-info --info-dir=/jumpstart/share/info
/jumpstart/share/info/binutils.info.gz
+ /usr/bin/install-info --info-dir=/jumpstart/share/info
/jumpstart/share/info/gasp.info.gz
+ /usr/bin/install-info --info-dir=/jumpstart/share/info
/jumpstart/share/info/gprof.info.gz
+ /usr/bin/install-info --info-dir=/jumpstart/share/info
/jumpstart/share/info/ld.info.gz
+ /usr/bin/install-info --info-dir=/jumpstart/share/info
/jumpstart/share/info/standards.info.gz
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Triggername create
mode=0x42
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Filemd5s
D: verified db index       /mnt/Chechaco/var/lib/rpm/Filemd5s
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Sha1header
D: verified db index       /mnt/Chechaco/var/lib/rpm/Sha1header
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Sigmd5
D: verified db index       /mnt/Chechaco/var/lib/rpm/Sigmd5
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Installtid
D: verified db index       /mnt/Chechaco/var/lib/rpm/Installtid
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Provideversion
D: verified db index       /mnt/Chechaco/var/lib/rpm/Provideversion
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Requireversion
D: verified db index       /mnt/Chechaco/var/lib/rpm/Requireversion
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Dirnames
D: verified db index       /mnt/Chechaco/var/lib/rpm/Dirnames
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Triggername
D: verified db index       /mnt/Chechaco/var/lib/rpm/Triggername
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Providename
D: verified db index       /mnt/Chechaco/var/lib/rpm/Providename
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Requirename
D: verified db index       /mnt/Chechaco/var/lib/rpm/Requirename
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Group
D: verified db index       /mnt/Chechaco/var/lib/rpm/Group
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Basenames
D: verified db index       /mnt/Chechaco/var/lib/rpm/Basenames
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Name
D: verified db index       /mnt/Chechaco/var/lib/rpm/Name
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Packages
D: closed   db environment /mnt/Chechaco/var/lib/rpm/Packages
D: removed  db environment /mnt/Chechaco/var/lib/rpm/Packages
D: verified db index       /mnt/Chechaco/var/lib/rpm/Packages

Therefore, it looks like --relocate /jumpstart=/mnt/Chechaco/jumpstart was
simply ignored.
( BTW, what about
D:     0 relocate /usr/share/doc -> doc
 ??? )

Let's swap --relocate(s) in the command line:

rpmi -ivv --nodeps --dbpath /mnt/Chechaco/var/lib/rpm --relocate
/usr/share/doc=/mnt/Chechaco/usr/share/doc --relocate
/jumpstart=/mnt/Chechaco/jumpstart
chechaco/RPMS/i586/binutils-static++PATH++jumpstart-2.11.93.0.2-2.i586.rpm

D: ==============
chechaco/RPMS/i586/binutils-static++PATH++jumpstart-2.11.93.0.2-2.i586.rpm
D: Expected size:      5755814 = lead(96)+sigs(160)+pad(0)+data(5755558)
D:   Actual size:      5755814
D: opening  db environment /mnt/Chechaco/var/lib/rpm/Packages create:mpool
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Packages create mode=0x42
D: locked   db index       /mnt/Chechaco/var/lib/rpm/Packages
D: 	added binary package [0]
D: found 0 source and 1 binary packages
D: ========== recording tsort relations
D: ========== tsorting packages (order, #predecessors, #succesors, tree, depth)
D:     0    0    0    0    0  binutils-static++PATH++jumpstart-2.11.93.0.2-2
D: installing binary packages
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Name create mode=0x42
D: ========== relocations
D:     0 relocate /jumpstart -> /Chechaco/jumpstart
D:     1 relocate /jumpstart -> /mnt/Chechaco/jumpstart
D: relocating directory /jumpstart/share/man/man1/ to
/mnt/Chechaco/jumpstart/share/man/man1/
D: relocating directory /jumpstart/share/info/ to
/mnt/Chechaco/jumpstart/share/info/
D: relocating directory /jumpstart/lib/ldscripts/ to
/mnt/Chechaco/jumpstart/lib/ldscripts/
D: relocating directory /jumpstart/lib/ to /mnt/Chechaco/jumpstart/lib/
D: relocating directory /jumpstart/include/ to /mnt/Chechaco/jumpstart/include/
D: relocating directory /jumpstart/bin/ to /mnt/Chechaco/jumpstart/bin/
Preparing packages for installation...
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Basenames create mode=0x42
D: Expected size:      5755814 = lead(96)+sigs(160)+pad(0)+data(5755558)
D:   Actual size:      5755814
D:   install: binutils-static++PATH++jumpstart-2.11.93.0.2-2 has 104 files, test
= 0
D:   install: running %pre script(s) (if any)
binutils-static++PATH++jumpstart-2.11.93.0.2-2
D: ========= Directories not explictly included in package:
D:         0 /mnt/Chechaco/jumpstart/bin/
D:         1 /mnt/Chechaco/jumpstart/include/
D:         2 /mnt/Chechaco/jumpstart/lib/
D:         4 /mnt/Chechaco/jumpstart/share/info/
D:         5 /mnt/Chechaco/jumpstart/share/man/man1/
D:         6 /usr/share/doc/
D: =========
D: /mnt/Chechaco/jumpstart directory created with perms 0755.
D: /mnt/Chechaco/jumpstart/bin directory created with perms 0755.
D: /mnt/Chechaco/jumpstart/include directory created with perms 0755.
D: /mnt/Chechaco/jumpstart/lib directory created with perms 0755.
D: /mnt/Chechaco/jumpstart/share directory created with perms 0755.
D: /mnt/Chechaco/jumpstart/share/info directory created with perms 0755.
D: /mnt/Chechaco/jumpstart/share/man directory created with perms 0755.
D: /mnt/Chechaco/jumpstart/share/man/man1 directory created with perms 0755.
D: fini      100755  1 (   0,   0)    754312
/mnt/Chechaco/jumpstart/bin/addr2line;3c6f0b8f 
D: fini      100755  1 (   0,   0)    720456
/mnt/Chechaco/jumpstart/bin/ar;3c6f0b8f 
D: fini      100755  1 (   0,   0)    909832
/mnt/Chechaco/jumpstart/bin/as;3c6f0b8f 
D: fini      100755  1 (   0,   0)    377288
/mnt/Chechaco/jumpstart/bin/gasp;3c6f0b8f 
D: fini      100755  1 (   0,   0)    816072
/mnt/Chechaco/jumpstart/bin/gprof;3c6f0b8f 
D: fini      100755  1 (   0,   0)    990152
/mnt/Chechaco/jumpstart/bin/ld;3c6f0b8f 
D: fini      100755  1 (   0,   0)    762536
/mnt/Chechaco/jumpstart/bin/nm;3c6f0b8f 
D: fini      100755  1 (   0,   0)    886408
/mnt/Chechaco/jumpstart/bin/objcopy;3c6f0b8f 
D: fini      100755  1 (   0,   0)    930504
/mnt/Chechaco/jumpstart/bin/objdump;3c6f0b8f 
D: fini      100755  1 (   0,   0)    720456
/mnt/Chechaco/jumpstart/bin/ranlib;3c6f0b8f 
D: fini      100755  1 (   0,   0)    490632
/mnt/Chechaco/jumpstart/bin/readelf;3c6f0b8f 
D: fini      100755  1 (   0,   0)    706760
/mnt/Chechaco/jumpstart/bin/size;3c6f0b8f 
D: fini      100755  1 (   0,   0)    706504
/mnt/Chechaco/jumpstart/bin/strings;3c6f0b8f 
D: fini      100755  1 (   0,   0)    886408
/mnt/Chechaco/jumpstart/bin/strip;3c6f0b8f 
D: fini      100644  1 (   0,   0)      9507
/mnt/Chechaco/jumpstart/include/ansidecl.h;3c6f0b8f 
D: fini      100644  1 (   0,   0)    132515
/mnt/Chechaco/jumpstart/include/bfd.h;3c6f0b8f 
D: fini      100644  1 (   0,   0)     23855
/mnt/Chechaco/jumpstart/include/bfdlink.h;3c6f0b8f 
D: fini      100644  1 (   0,   0)     11075
/mnt/Chechaco/jumpstart/include/libiberty.h;3c6f0b8f 
D: fini      100644  1 (   0,   0)      1897
/mnt/Chechaco/jumpstart/include/symcat.h;3c6f0b8f 
D: fini      040755  2 (   0,   0)         0
/mnt/Chechaco/jumpstart/lib/ldscripts 
D: fini      100644  1 (   0,   0)      5517
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386.x;3c6f0b8f 
D: fini      100644  1 (   0,   0)      5502
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386.xbn;3c6f0b8f 
D: fini      100644  1 (   0,   0)      5268
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386.xc;3c6f0b8f 
D: fini      100644  1 (   0,   0)      5517
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386.xn;3c6f0b8f 
D: fini      100644  1 (   0,   0)      3917
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386.xr;3c6f0b8f 
D: fini      100644  1 (   0,   0)      5471
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386.xs;3c6f0b8f 
D: fini      100644  1 (   0,   0)      5239
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386.xsc;3c6f0b8f 
D: fini      100644  1 (   0,   0)      3963
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386.xu;3c6f0b8f 
D: fini      100644  1 (   0,   0)      6679
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386_glibc21.x;3c6f0b8f 
D: fini      100644  1 (   0,   0)      6664
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386_glibc21.xbn;3c6f0b8f 
D: fini      100644  1 (   0,   0)      6286
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386_glibc21.xc;3c6f0b8f 
D: fini      100644  1 (   0,   0)      6679
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386_glibc21.xn;3c6f0b8f 
D: fini      100644  1 (   0,   0)      4600
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386_glibc21.xr;3c6f0b8f 
D: fini      100644  1 (   0,   0)      6633
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386_glibc21.xs;3c6f0b8f 
D: fini      100644  1 (   0,   0)      6257
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386_glibc21.xsc;3c6f0b8f 
D: fini      100644  1 (   0,   0)      4646
/mnt/Chechaco/jumpstart/lib/ldscripts/elf_i386_glibc21.xu;3c6f0b8f 
D: fini      100644  1 (   0,   0)       902
/mnt/Chechaco/jumpstart/lib/ldscripts/i386linux.x;3c6f0b8f 
D: fini      100644  1 (   0,   0)       908
/mnt/Chechaco/jumpstart/lib/ldscripts/i386linux.xbn;3c6f0b8f 
D: fini      100644  1 (   0,   0)       902
/mnt/Chechaco/jumpstart/lib/ldscripts/i386linux.xn;3c6f0b8f 
D: fini      100644  1 (   0,   0)       648
/mnt/Chechaco/jumpstart/lib/ldscripts/i386linux.xr;3c6f0b8f 
D: fini      100644  1 (   0,   0)       688
/mnt/Chechaco/jumpstart/lib/ldscripts/i386linux.xu;3c6f0b8f 
D: fini      100644  1 (   0,   0)    513678
/mnt/Chechaco/jumpstart/lib/libbfd.a;3c6f0b8f 
D: fini      100755  1 (   0,   0)       680
/mnt/Chechaco/jumpstart/lib/libbfd.la;3c6f0b8f 
D: fini      100644  1 (   0,   0)    173702
/mnt/Chechaco/jumpstart/lib/libiberty.a;3c6f0b8f 
D: fini      100644  1 (   0,   0)     83004
/mnt/Chechaco/jumpstart/lib/libopcodes.a;3c6f0b8f 
D: fini      100755  1 (   0,   0)       692
/mnt/Chechaco/jumpstart/lib/libopcodes.la;3c6f0b8f 
D: fini      100644  1 (   0,   0)     16304
/mnt/Chechaco/jumpstart/share/info/as.info-1.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     12181
/mnt/Chechaco/jumpstart/share/info/as.info-10.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     15999
/mnt/Chechaco/jumpstart/share/info/as.info-2.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     14254
/mnt/Chechaco/jumpstart/share/info/as.info-3.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     10757
/mnt/Chechaco/jumpstart/share/info/as.info-4.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     14664
/mnt/Chechaco/jumpstart/share/info/as.info-5.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     14866
/mnt/Chechaco/jumpstart/share/info/as.info-6.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     15492
/mnt/Chechaco/jumpstart/share/info/as.info-7.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     12783
/mnt/Chechaco/jumpstart/share/info/as.info-8.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     11284
/mnt/Chechaco/jumpstart/share/info/as.info-9.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      3632
/mnt/Chechaco/jumpstart/share/info/as.info.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     12355
/mnt/Chechaco/jumpstart/share/info/bfd.info-1.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     13891
/mnt/Chechaco/jumpstart/share/info/bfd.info-2.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      5464
/mnt/Chechaco/jumpstart/share/info/bfd.info-3.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      8958
/mnt/Chechaco/jumpstart/share/info/bfd.info-4.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     12610
/mnt/Chechaco/jumpstart/share/info/bfd.info-5.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     10104
/mnt/Chechaco/jumpstart/share/info/bfd.info-6.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     12061
/mnt/Chechaco/jumpstart/share/info/bfd.info-7.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      6722
/mnt/Chechaco/jumpstart/share/info/bfd.info-8.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      5104
/mnt/Chechaco/jumpstart/share/info/bfd.info-9.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      1306
/mnt/Chechaco/jumpstart/share/info/bfd.info.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     13273
/mnt/Chechaco/jumpstart/share/info/binutils.info-1.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     14942
/mnt/Chechaco/jumpstart/share/info/binutils.info-2.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     12558
/mnt/Chechaco/jumpstart/share/info/binutils.info-3.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      1149
/mnt/Chechaco/jumpstart/share/info/binutils.info.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     14537
/mnt/Chechaco/jumpstart/share/info/configure.info-1.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     14057
/mnt/Chechaco/jumpstart/share/info/configure.info-2.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      4186
/mnt/Chechaco/jumpstart/share/info/configure.info-3.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      1191
/mnt/Chechaco/jumpstart/share/info/configure.info.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     18364
/mnt/Chechaco/jumpstart/share/info/gasp.info.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     13717
/mnt/Chechaco/jumpstart/share/info/gprof.info-1.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     12050
/mnt/Chechaco/jumpstart/share/info/gprof.info-2.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      6736
/mnt/Chechaco/jumpstart/share/info/gprof.info-3.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)       840
/mnt/Chechaco/jumpstart/share/info/gprof.info.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      1197
/mnt/Chechaco/jumpstart/share/info/ld.info-1.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     18822
/mnt/Chechaco/jumpstart/share/info/ld.info-2.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     14367
/mnt/Chechaco/jumpstart/share/info/ld.info-3.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     15664
/mnt/Chechaco/jumpstart/share/info/ld.info-4.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     12654
/mnt/Chechaco/jumpstart/share/info/ld.info-5.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      5015
/mnt/Chechaco/jumpstart/share/info/ld.info-6.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      1078
/mnt/Chechaco/jumpstart/share/info/ld.info.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)     41340
/mnt/Chechaco/jumpstart/share/info/standards.info.gz;3c6f0b8f 
D: fini      100644  1 (   0,   0)      7641
/mnt/Chechaco/jumpstart/share/man/man1/addr2line.1;3c6f0b8f 
D: fini      100644  1 (   0,   0)     14958
/mnt/Chechaco/jumpstart/share/man/man1/ar.1;3c6f0b8f 
D: fini      100644  1 (   0,   0)     29123
/mnt/Chechaco/jumpstart/share/man/man1/as.1;3c6f0b8f 
D: fini      100644  1 (   0,   0)      8130
/mnt/Chechaco/jumpstart/share/man/man1/c++filt.1;3c6f0b8f 
D: fini      100644  1 (   0,   0)     29038
/mnt/Chechaco/jumpstart/share/man/man1/gprof.1;3c6f0b8f 
D: fini      100644  1 (   0,   0)     76532
/mnt/Chechaco/jumpstart/share/man/man1/ld.1;3c6f0b8f 
D: fini      100644  1 (   0,   0)     13877
/mnt/Chechaco/jumpstart/share/man/man1/nm.1;3c6f0b8f 
D: fini      100644  1 (   0,   0)     26362
/mnt/Chechaco/jumpstart/share/man/man1/objcopy.1;3c6f0b8f 
D: fini      100644  1 (   0,   0)     18517
/mnt/Chechaco/jumpstart/share/man/man1/objdump.1;3c6f0b8f 
D: fini      100644  1 (   0,   0)      5457
/mnt/Chechaco/jumpstart/share/man/man1/ranlib.1;3c6f0b8f 
D: fini      100644  1 (   0,   0)      9929
/mnt/Chechaco/jumpstart/share/man/man1/readelf.1;3c6f0b8f 
D: fini      100644  1 (   0,   0)      8084
/mnt/Chechaco/jumpstart/share/man/man1/size.1;3c6f0b8f 
D: fini      100644  1 (   0,   0)      7678
/mnt/Chechaco/jumpstart/share/man/man1/strings.1;3c6f0b8f 
D: fini      100644  1 (   0,   0)      8878
/mnt/Chechaco/jumpstart/share/man/man1/strip.1;3c6f0b8f 
D: fini      040755  2 (   0,   0)         0
/usr/share/doc/binutils-static++PATH++jumpstart-2.11.93.0.2 
D: fini      100644  1 (   0,   0)      1719
/usr/share/doc/binutils-static++PATH++jumpstart-2.11.93.0.2/README;3c6f0b8f 
GZDIO:    1520 reads, 12451800 total bytes in 5.981 secs
D:   +++          1 binutils-static++PATH++jumpstart-2.11.93.0.2-2
D: adding "binutils-static++PATH++jumpstart" to Name index.
D: adding 104 entries to Basenames index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Group create mode=0x42
D: adding "Development/Tools" to Group index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Requirename create
mode=0x42
D: adding 5 entries to Requirename index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Providename create
mode=0x42
D: adding "binutils-static++PATH++jumpstart" to Providename index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Dirnames create mode=0x42
D: adding 8 entries to Dirnames index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Requireversion create
mode=0x42
D: adding 5 entries to Requireversion index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Provideversion create
mode=0x42
D: adding "2.11.93.0.2-2" to Provideversion index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Installtid create mode=0x42
D: adding 1 entries to Installtid index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Sigmd5 create mode=0x42
D: adding 1 entries to Sigmd5 index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Sha1header create mode=0x42
D: adding "89a748d9cf8da43bc4e1f47bcc72a754cbf57e95" to Sha1header index.
D: opening  db index       /mnt/Chechaco/var/lib/rpm/Filemd5s create mode=0x42
D: adding 104 entries to Filemd5s index.
D:   install: running %post script(s) (if any)
+ /usr/bin/install-info --info-dir=/Chechaco/jumpstart/share/info
/Chechaco/jumpstart/share/info/as.info.gz
install-info: No such file or directory for
/Chechaco/jumpstart/share/info/as.info.gz
+ /usr/bin/install-info --info-dir=/Chechaco/jumpstart/share/info
/Chechaco/jumpstart/share/info/bfd.info.gz
install-info: No such file or directory for
/Chechaco/jumpstart/share/info/bfd.info.gz
+ /usr/bin/install-info --info-dir=/Chechaco/jumpstart/share/info
/Chechaco/jumpstart/share/info/binutils.info.gz
install-info: No such file or directory for
/Chechaco/jumpstart/share/info/binutils.info.gz
+ /usr/bin/install-info --info-dir=/Chechaco/jumpstart/share/info
/Chechaco/jumpstart/share/info/gasp.info.gz
install-info: No such file or directory for
/Chechaco/jumpstart/share/info/gasp.info.gz
+ /usr/bin/install-info --info-dir=/Chechaco/jumpstart/share/info
/Chechaco/jumpstart/share/info/gprof.info.gz
install-info: No such file or directory for
/Chechaco/jumpstart/share/info/gprof.info.gz
+ /usr/bin/install-info --info-dir=/Chechaco/jumpstart/share/info
/Chechaco/jumpstart/share/info/ld.info.gz
install-info: No such file or directory for
/Chechaco/jumpstart/share/info/ld.info.gz
+ /usr/bin/install-info --info-dir=/Chechaco/jumpstart/share/info
/Chechaco/jumpstart/share/info/standards.info.gz
install-info: No such file or directory for
/Chechaco/jumpstart/share/info/standards.info.gz
error: execution of %post scriptlet from
binutils-static++PATH++jumpstart-2.11.93.0.2-2 failed, exit status 1
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Filemd5s
D: verified db index       /mnt/Chechaco/var/lib/rpm/Filemd5s
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Sha1header
D: verified db index       /mnt/Chechaco/var/lib/rpm/Sha1header
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Sigmd5
D: verified db index       /mnt/Chechaco/var/lib/rpm/Sigmd5
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Installtid
D: verified db index       /mnt/Chechaco/var/lib/rpm/Installtid
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Provideversion
D: verified db index       /mnt/Chechaco/var/lib/rpm/Provideversion
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Requireversion
D: verified db index       /mnt/Chechaco/var/lib/rpm/Requireversion
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Dirnames
D: verified db index       /mnt/Chechaco/var/lib/rpm/Dirnames
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Providename
D: verified db index       /mnt/Chechaco/var/lib/rpm/Providename
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Requirename
D: verified db index       /mnt/Chechaco/var/lib/rpm/Requirename
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Group
D: verified db index       /mnt/Chechaco/var/lib/rpm/Group
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Basenames
D: verified db index       /mnt/Chechaco/var/lib/rpm/Basenames
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Name
D: verified db index       /mnt/Chechaco/var/lib/rpm/Name
D: closed   db index       /mnt/Chechaco/var/lib/rpm/Packages
D: closed   db environment /mnt/Chechaco/var/lib/rpm/Packages
D: removed  db environment /mnt/Chechaco/var/lib/rpm/Packages
D: verified db index       /mnt/Chechaco/var/lib/rpm/Packages

Now it is obvious that the last --relocate "wins".
Again, unmatched Prefix: get assigned some junk:

D:     0 relocate /jumpstart -> /Chechaco/jumpstart

Take a look at
+ /usr/bin/install-info --info-dir=/Chechaco/jumpstart/share/info
/Chechaco/jumpstart/share/info/as.info.gz

Looks like ${RPM_INSTALL_PREFIX1} == /Chechaco/jumpstart,
which is ( even though it's broken ) actually RPM_INSTALL_PREFIX0


Additional info:
Comment 1 Paul Nasrat 2005-06-07 16:24:31 EDT
rpm-4.4.1-22.i386

test spec with 2 prefixes and:

%post
echo $RPM_INSTALL_PREFIX0 >> /tmp/%{name}
echo $RPM_INSTALL_PREFIX1 >> /tmp/%{name}


rpm -qp --qf '[%{prefixes}\n]' ../RPMS/relocator-1.0-1.noarch.rpm
/usr/opt/relocator
/etc/relocator

rpm -i --relocate /usr/opt=/usr/local/opt --relocate
/etc/relocator=/usr/local/etc ../RPMS/relocator-1.0-1.noarch.rpm

[pauln@enki SPECS]$ rpm -ql relocator
/usr/local/etc
/usr/local/opt/relocator
/usr/local/opt/relocator/relocator

cat /tmp/relocator
/usr/opt/relocator
/usr/local/etc

Note You need to log in before you can comment on or make changes to this bug.